boinc_cmd(1)

SYNOPSIS

boinc_client [options]

DESCRIPTION
The BOINC "core client", boinc_client, is the heart of BOINC. It controls which project applications are run on your computer, downloading "Workunits" and uploading the "Result" files from completed tasks. boinc_client is usually run in the background, ideally as a daemon. It can then be controlled either by a graphical tool called the BOINC Manager, boincmgr(1), or a command line tool called boinc_cmd(1), by means of Remote Proceedure Calls (RPCs) over port 31416.

The BOINC core client can be controlled by command-line options, configuration files, and environment variables. Standard usage is simply to start the client running in the background.

CONFIGURATION FILES
BOINC uses the following configuration files. You can edit these files before launching boinc_client to control BOINC in various ways.

account_<PROJECT-URL>.xml
    Accounting information for a given project. There will be one for each attached project.

global_prefs_override.xml
    Override global preferences

cc_config.xml
    Turn log messages on/off by category, and other core client configuration options. These settings can be very useful for troubleshooting problems or debugging.

remote_hosts.cfg
    Hosts from which remote GUI RPCs are allowed. If this file does not exist then...?

gui_rpc_auth.cfg
    GUI RPC password.

project_init.xml
    Startup project ...?

acct_mgr_url.xml
    Account manager URL

acct_mgr_login.xml
    Account manager login

COMMAND OPTIONS
These command-line options for boinc_client can be used to control how BOINC is started. Once the client has started, you should use a separate program, (boincmgr(1) or boinc_cmd(1)) which communicates with it by means of Remote Proceedure Calls (RPCs).

--help
    Show these command line options.

--version
    Show client software version.

--show_projects
    Show all attached projects.

--detach_project <URL>
    Detach from the project associated with the given URL.

--reset_project <URL>
    Reset (clear) the project associated with the given URL

--attach_project <URL> <key>
    Attach to the project associated with the given URL. The key is the authenthentication token (account key) of an existing account on the project.

--update_prefs <URL>
    Contact the project associated with the given URL to update preferences.

--run_cpu_benchmarks
    Run the CPU benchmarks.

--check_all_logins
    For idle detection, check remote logins too. When BOINC is set to run when the computer is idle, it usually only checks for user activity from locally logged-in user. This causes it to also check for activity from remote logins.f

--allow_remote_gui_rpc
    Allow remote GUI RPC connections.

--gui_rpc_port <port>
    Set the port for GUI RPCs. The default, if not otherwise set, is port 31416.

--redirectio
    Redirect stdout and stderr to log files.

--detach
    Detach from console (Windows only)

--dir <path>
    Use the given directory as the BOINC home (working directory).

--no_gui_rpc
    Do not allow GUI RPCs, don't make socket.

--daemon
    Run as daemon, in the background (Unix only).

--insecure
    Disable application sandboxing (Unix only).

--launched_by_manager
    Indicates that the Core Client was launched by the BOINC Manager.

--run_by_updater
    Indicates that the Core Client was launched by the updater.

--start_delay N
    Specify a number of seconds to delay running apps after client startup [New in version 6.1.]

ENVIRONMENT
The boinc_client uses the following Unix environment variables to control how it deals with web proxies.

HTTP_PROXY
    URL of HTTP proxy

HTTP_USER_NAME
    User name for proxy authentication

HTTP_USER_PASSWD
    Password for proxy authentication

SOCKS4_SERVER
    URL of SOCKS 4 server

SOCKS5_SERVER
    URL of SOCKS 5 server

SOCKS5_USER
    User name for SOCKS authentication

SOCKS5_PASSWD
    Password for SOCKS authentication

DEBUGGING OPTIONS
These command line options are usually only of use for troubleshooting or debugging.

--exit_when_idle
    Exit when there are no more results to process.

--exit_before_start
    Exit right before starting a job (useful for debugging).

--exit_after_finish
    Exit right after finishing a task (useful for debugging).

--no_time_test
    Don't run performance benchmarks; use fixed numbers instead.

--exit_after_app_start N
    Exit about N seconds after first application starts

--min
    Put client in the background after starting up

--skip_cpu_benchmarks
    Don't run CPU benchmarks

--file_xfer_giveup_period N
    Specify giveup period for file transfers

--started_by_screensaver
    Passed by screensaver when it launches client

SEE ALSO
boinc(1), boincmgr(1), boinc_cmd(1).

VERSION
Revision Number: 5.10.21-18
Release Date: 29 Dec 2007